using System.Numerics;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using MLEM.Extensions;
using MLEM.Font;
using MLEM.Startup;

namespace ThemeParkClicker {
    public class GameImpl : MlemGame {

        public static GameImpl Instance { get; private set; }
        public BigInteger Tickets = 200;
        public Ui Ui { get; private set; }

        public GameImpl() {
            Instance = this;
        }

        protected override void LoadContent() {
            base.LoadContent();
            this.Ui = new Ui(this.UiSystem);
        }

        public string DisplayTicketCount() {
            return this.Tickets.ToString();
        }

        protected override void DoUpdate(GameTime gameTime) {
            base.DoUpdate(gameTime);
            this.Ui.Update(gameTime);
        }

        protected override void DoDraw(GameTime gameTime) {
            this.GraphicsDevice.Clear(ColorExtensions.FromHex(0x86cfcb));
            base.DoDraw(gameTime);
        }

    }
}